#ifndef _TIMELIB_H
#define _TIMELIB_H

//#define Casovatko  0xA0
//#define Casovatko  0xD0
#define Casovatko  0xA2

typedef struct {
    unsigned char seconds;
    unsigned char minutes;
    unsigned char hours;
    unsigned char year;
    unsigned char month;
    unsigned char day;
} sTime;

unsigned char convToWrite(unsigned char value);
void Transform_Time(sTime *fTime);
void GetTime(sTime *fTime);
void SetTime(const unsigned char fRadek, const unsigned char fSmer);
void SetTimer(unsigned char time);
void ResetTimer();

#endif
